Package ru.bgcrm.plugin.bgbilling

# Class Request

java.lang.Object
ru.bgcrm.plugin.bgbilling.Request

public class Request extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Request()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `clear()`
  `Object`
  `getValue(String key)`
  `Set<String>`
  `keys()`
  `void`
  `setAction(String value)`
  `void`
  `setAttribute(String name, boolean value)`
  `void`
  `setAttribute(String name, int value)`
  `void`
  `setAttribute(String name, long value)`
  `void`
  `setAttribute(String name, Object value)`
  `void`
  `setContractId(int value)`
  `void`
  `setContractId(String value)`
  `void`
  `setModule(String value)`
  `void`
  `setModuleID(int value)`
  `void`
  `setModuleID(String value)`
  `void`
  `setPage(Page page)`
  `void`
  `setPageIndex(int pageIndex)`
  `void`
  `setPageSize(int pageSize)`
  `void`
  `setPeriod(String date1, String date2)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Request

    public Request()

- ## Method Details

  - ### setModule

    public void setModule(String value)

  - ### setAction

    public void setAction(String value)

  - ### setModuleID

    public void setModuleID(String value)

  - ### setModuleID

    public void setModuleID(int value)

  - ### setContractId

    public void setContractId(int value)

  - ### setContractId

    public void setContractId(String value)

  - ### setPage

    public void setPage(Page page)

  - ### setPageIndex

    public void setPageIndex(int pageIndex)

  - ### setPageSize

    public void setPageSize(int pageSize)

  - ### setPeriod

    public void setPeriod(String date1, String date2)

  - ### setAttribute

    public void setAttribute(String name, Object value)

  - ### setAttribute

    public void setAttribute(String name, long value)

  - ### setAttribute

    public void setAttribute(String name, int value)

  - ### setAttribute

    public void setAttribute(String name, boolean value)

  - ### clear

    public void clear()

  - ### getValue

    public Object getValue(String key)

  - ### keys

    public Set<String> keys()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`